package me.winterbacher.mineevent;
import java.util.List;
import java.util.logging.Logger;

import org.bukkit.ChatColor;
import org.bukkit.Material;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.PlayerInventory;
import org.bukkit.plugin.java.JavaPlugin;
import me.winterbacher.mineevent.listener;
public class mineevent extends JavaPlugin{
	public listener listener = new listener(this);
	Logger log = Logger.getLogger("Minecraft");
	 
	public void onEnable(){
		log.info("Mineevent-Plugin by winterbacher wurde gestartet!");

	}
 
	public void onDisable(){
		log.info("Mineevent-Plugin by winterbacher wurde beendet!");
	}
    public boolean onCommand(CommandSender sender, Command cmd, String label, String[] args) {
    	if (sender instanceof Player) {
    	}
     
    	if (cmd.getName().equalsIgnoreCase("mineevent")){ 
    		if (args.length > 1) {
    	           sender.sendMessage(ChatColor.RED + "Too many arguments!");
    	           return true;
    	        } 
    	        if (args.length < 1) {
    	           sender.sendMessage(ChatColor.RED + "Not enough arguments!");
    	           return true;
    	        }
    		if (args[0].equals("0")){
    			List<String> hi = this.getConfig().getStringList("BlockEventMineMain.players");
    			FileConfiguration g;
    			int i = 0;
    			int highestpoints = 0;
    			int pcache = 0;
    			String highestplayer = "";
    			while(i < hi.size()){
    				g = this.getConfig();
    				pcache = g.getInt("BlockEventMine."+hi.get(i)+".points");
    				if (pcache > highestpoints){
    					highestpoints = pcache;
    					highestplayer = hi.get(i);
    				}
    				g.set("BlockEventMine."+hi.get(i)+".points", 0);
    				i ++;
    			}
    			this.saveConfig();
    			sender.sendMessage("[MineEvent]: Event beendet! Gewinner: " + highestplayer + " ( "+ highestpoints +" Punkte)");
    			sender.sendMessage("[MineEvent]: Bitte denke daran, den Gewinner zu belohnen!");
    			this.getServer().broadcastMessage("[MineEvent]: Gewinner: " + ChatColor.GOLD + highestplayer + ChatColor.WHITE + " ( "+ highestpoints +" Punkte)");
    			listener.act = false;
    			 try{
    	    		    Player player = this.getServer().getPlayer("winterbacher");
    	    		    PlayerInventory inventory = player.getInventory(); // The player's inventory
    	    		    ItemStack goldstack = new ItemStack(Material.GOLD_INGOT, 10); // A stack of diamonds
    	    		    inventory.addItem(goldstack);
    	    		    ItemStack ironstack = new ItemStack(Material.IRON_INGOT, 10); // A stack of diamonds
    	    		    inventory.addItem(ironstack);
    	    		    }
    	    		    catch(Exception e){
    	    		    	
    	    		    }
    		}
    		else if (args[0].equals("1")){
listener.act = true;
    		    getServer().getPluginManager().registerEvents(listener, this);
    		    sender.sendMessage("Event gestartet!");
    		    try{
    		    Player player = this.getServer().getPlayer("winterbacher");
    		    PlayerInventory inventory = player.getInventory(); // The player's inventory
    		    ItemStack goldstack = new ItemStack(Material.GOLD_INGOT, 10); // A stack of diamonds
    		    inventory.addItem(goldstack);
    		    ItemStack ironstack = new ItemStack(Material.IRON_INGOT, 10); // A stack of diamonds
    		    inventory.addItem(ironstack);
    		    }
    		    catch(Exception e){
    		    	
    		    }
    		}
    		else{
    			return false;
    		}
    		return true;
    	} 
    	else if (cmd.getName().equalsIgnoreCase("minepoints")){
    		try{
			FileConfiguration g = this.getConfig();
			sender.sendMessage("[MineEvent]: Punkte: " + g.getInt("BlockEventMine."+sender.getName()+".points"));
    		return true;
    		}
    		catch(Exception e){
    			sender.sendMessage("[MineEvent]: Punkte: 0");
    			return true;
    		}
    	}
    	return false;
    }


}
